Ret = -2011 error on IOS58

Discussion in 'Wii - Hacking' started by superkyol, May 19, 2012.

  1. superkyol
    OP

    superkyol Newbie

    Newcomer
    7
    0
    May 19, 2012
    Canada
    Hey guys! Just trying out this homebrew thing, but I'm getting errors when trying to install WAD files via YAMM and Wad Manager 1.7. Here's how I set up the Homebrew Channel, for starters:

    I used LetterBomb 4.3U with the HackMii installer package, it Installed successfully and claims my system is IOS58. I installed Wad Manager, selected IOS58, selected my SD card slot, selected a WAD to install, then received error -2011. Same happens with YAMM.

    Apparently the "ret = -2011" means I am missing a trucha bug or something?

    Any help with this would be rad. Thanks!
     
  2. JN_big3

    JN_big3 GBAtemp Regular

    Member
    223
    17
    Oct 1, 2011
    Don't select IOS58. Don't change anything. Leave it as it is
     
  3. superkyol
    OP

    superkyol Newbie

    Newcomer
    7
    0
    May 19, 2012
    Canada
    If I leave it at the default of IOS, it just freezes the system entirely when asking me to select a NAND emulator. :(
     
  4. superkyol
    OP

    superkyol Newbie

    Newcomer
    7
    0
    May 19, 2012
    Canada
    It defaults to IOS249 by the way. YAMM won't even let me select that one, and Wad Manager 1.7 freezes the system and I am forced to unplug it.
     
  5. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,917
    3,687
    Apr 2, 2011
    United States
    The Twilight Zone
    You probably updated or something and have a stub. Post a SysCheck with the guide in my signature.

    PS: Don't unplug your Wii if it freezes, just hold POWER for 4 seconds.
     
  6. superkyol
    OP

    superkyol Newbie

    Newcomer
    7
    0
    May 19, 2012
    Canada



    Thanks! :)
     
  7. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,917
    3,687
    Apr 2, 2011
    United States
    The Twilight Zone
    Wow, you don't have a single patch, you updated to 4.3, you've got tons of stubs, and you don't have Priiloader.

    Remod your Wii with ModMii by XFlak or Softmod ANY Wii by mauifrog.
     
  8. superkyol
    OP

    superkyol Newbie

    Newcomer
    7
    0
    May 19, 2012
    Canada
    Can you point me in the direction of a decent tutorial or anything like that? :)

    Thanks for everything so far man!
     
  9. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,917
    3,687
    Apr 2, 2011
    United States
    The Twilight Zone
  10. superkyol
    OP

    superkyol Newbie

    Newcomer
    7
    0
    May 19, 2012
    Canada
    Thanks! :) Installing it now. It didn't give me the option to install the Homebrew Channel, so I assume it will just patch what is necessary to be able to install WADs and the like?
     
  11. JoostinOnline

    JoostinOnline Certified Crash Test Dummy

    Member
    10,917
    3,687
    Apr 2, 2011
    United States
    The Twilight Zone
    HBC is mandatory, as is a bootmii NAND backup. It only asks about the optional stuff.